#!/bin/bash

# This is a helping script to create some test accounts. XMPP passwords are
# retrieved from the DAT files in the data/<domain> directories, but you still
# need to copy these files to your prosody installation directory.

# The provided data directory contains some test accounts for two differents
# domains (souliane.org and tazar.int), roster subscriptions and avatars.

LIST=`jp profile list`

for DIR in `ls data`; do
    DOMAIN=`echo $DIR | sed s/%2e/./`
    for FILE in `ls data/$DIR/accounts`; do
        USER=`echo $FILE | sed s/.dat//`
        JID=$USER@$DOMAIN
        PASSWD=`cat data/$DIR/accounts/$FILE | grep "\"password\"" | cut -d "\"" -f 4`
        echo -n Creating account for $JID...
        if [[ $LIST =~ $USER ]]; then
            echo -n removing existing account first...
            #jp profile delete $USER
        fi
        echo jp profile create $USER $JID $PASSWD
        echo OK
    done
done
